Bug 862168 - [abrt]: WARNING: at net/wireless/mlme.c:164 __cfg80211_send_disassoc+0xac/0x160 [cfg80211](): TAINTED G W
[abrt]: WARNING: at net/wireless/mlme.c:164 __cfg80211_send_disassoc+0xac/0x1...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
: 843201 870528 871180 871965 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-10-02 03:11 EDT by Zdenek Chmelar
Modified: 2012-12-20 11:28 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-20 11:28:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
mac80211_local_deauth_v3.6.patch (1.96 KB, text/plain)
2012-10-15 10:09 EDT, Stanislaw Gruszka
no flags Details

  None (edit)
Description Zdenek Chmelar 2012-10-02 03:11:29 EDT
Description of problem:
Not really sure. Problem occurred during manipulation with Wifi connection to home lan

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.4-2.fc17.x86_64 root=/dev/mapper/luks-322a9b57-892b-4af9-ad3c-437caed11ce5 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks.uuid=luks-322a9b57-892b-4af9-ad3c-437caed11ce5 rd.luks.uuid=luks-665546a3-a94d-4a43-a76c-9a2887938cb6 LANG=en_US.UTF-8 rhgb quiet
kernel:         3.5.4-2.fc17.x86_64

:Proprietary module has not been loaded.
:Taint on warning.

:WARNING: at net/wireless/mlme.c:164 __cfg80211_send_disassoc+0xac/0x160 [cfg80211]()
:Hardware name: 7659AB7
:Modules linked in: fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE xt_CHECKSUM bridge stp llc lockd sunrpc nf_conntrack_ftp iptable_nat nf_nat iptable_mangle xt_LOG xt_limit nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack rfcomm bnep snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc btusb snd_timer thinkpad_acpi snd bluetooth arc4 iwl4965 i2c_i801 iwlegacy lpc_ich coretemp soundcore mac80211 cfg80211 rfkill mfd_core r592 memstick vhost_net microcode e1000e tun macvtap macvlan kvm_intel kvm binfmt_misc uinput xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t yenta_socket wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 2530, comm: kworker/u:10 Tainted: G        W    3.5.4-2.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105864f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff810586aa>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa02ca54c>] __cfg80211_send_disassoc+0xac/0x160 [cfg80211]
: [<ffffffffa02ca647>] cfg80211_send_disassoc+0x47/0x70 [cfg80211]
: [<ffffffffa0329b24>] ieee80211_sta_rx_queued_mgmt+0x1c4/0x5a0 [mac80211]
: [<ffffffffa02fd38c>] ieee80211_iface_work+0x25c/0x360 [mac80211]
: [<ffffffff81075fc9>] process_one_work+0x129/0x400
: [<ffffffffa02fd130>] ? ieee80211_check_queues+0x100/0x100 [mac80211]
: [<ffffffff810765f6>] worker_thread+0x126/0x2e0
: [<ffffffff810764d0>] ? rescuer_thread+0x1f0/0x1f0
: [<ffffffff8107b633>] kthread+0x93/0xa0
: [<ffffffff816161e4>] kernel_thread_helper+0x4/0x10
: [<ffffffff8107b5a0>] ? flush_kthread_worker+0x80/0x80
: [<ffffffff816161e0>] ? gs_change+0x13/0x13
Comment 1 Zdenek Chmelar 2012-10-02 03:24:09 EDT
This problem happened during issue which I face quite often. Sometimes, when notebook wakes up from sleep mode, I connect to my home wlan (I can see dot in the front of my wlan and full signal on the list of available wlans) but the indication icon shows empty signal. Firefox (internet) is usually working but I cannot connect to work through VPN because my local "connection is out of the range".
Restart of NetworkManager service does not help. I have to reboot notebook in most cases. My company VPN works when Wifi icon shows signal (VPN detects my wlan IP address and can connect to the other site).
Comment 2 Chancy Sanah 2012-10-02 12:03:12 EDT
on normal bootup

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Stanislaw Gruszka 2012-10-05 08:57:33 EDT
*** Bug 843201 has been marked as a duplicate of this bug. ***
Comment 4 Volker Braun 2012-10-08 12:13:00 EDT
While loading web page

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Stanislaw Gruszka 2012-10-15 10:09:16 EDT
Created attachment 627457 [details]

Possible fix for this problem. Kernel build (still compiling) with patch is here:
Please test it and report back. Test is especially welcome from users, who can reproduce this problem reliably.
Comment 6 Stanislaw Gruszka 2012-10-18 03:36:44 EDT
Patch from comment 5 is already on wireless.git tree:
> http://git.kernel.org/?p=linux/kernel/git/linville/wireless.git;a=commitdiff;h=6863255bd0e48bc41ae5a066d5c771801e92735a

Since this bug is not reproducible let's apply patch and wait to see if problem will happen in the future on patched kernel.

Josh, please apply the patch.
Comment 7 Josh Boyer 2012-10-18 08:36:56 EDT
Applied to F16-F18.  Thanks!
Comment 8 Fedora Update System 2012-10-22 14:39:29 EDT
kernel-3.6.3-1.fc17 has been submitted as an update for Fedora 17.
Comment 9 Fedora Update System 2012-10-22 21:54:55 EDT
Package kernel-3.6.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.3-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-10-23 17:58:37 EDT
kernel-3.6.3-3.fc18 has been submitted as an update for Fedora 18.
Comment 11 Josh Boyer 2012-10-30 09:00:30 EDT
*** Bug 871180 has been marked as a duplicate of this bug. ***
Comment 12 Stanislaw Gruszka 2012-11-01 05:59:04 EDT
*** Bug 871965 has been marked as a duplicate of this bug. ***
Comment 13 Stanislaw Gruszka 2012-11-01 06:01:19 EDT
*** Bug 870528 has been marked as a duplicate of this bug. ***
Comment 14 Fedora Update System 2012-11-01 09:23:28 EDT
kernel-3.6.5-2.fc16 has been submitted as an update for Fedora 16.
Comment 15 Fedora Update System 2012-12-20 11:28:06 EST
kernel-3.6.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.